# Shipment By DDT Num

## Shipment by DDT Num - GET

This endpoint returns the shipment information together with their labels in the available formats, exactly as [Shipment](/gsped-api-english-version/spedizioni-e-dintorni/shipment.md#shipment-get), but using the **numeric reference** as a query parameter.

{% hint style="info" %}
To use this endpoint the numeric reference must be unique in order
{% endhint %}

**If the user to whom the apikey is associated operates with several usernames** and the numeric references risk to be identical, it is possible to use the additional parameter **client\_id**, valorised with the whole one indicating on which data to further filter the query.

{% hint style="info" %}
The list of the client\_id of a user is given by Gsped at the end of each configuration.
{% endhint %}

## &#x20;Retrieve shipment information

<mark style="color:blue;">`GET`</mark> `https://api.gsped.it/[INSTANCE]/ShipmentByDdtnum`

#### Query Parameters

| Name                                       | Type    | Description                       |
| ------------------------------------------ | ------- | --------------------------------- |
| ddt\_num<mark style="color:red;">\*</mark> | Integer | Numeric reference of the shipment |
| client\_id                                 | String  | Client ID                         |

#### Headers

| Name                                        | Type   | Description            |
| ------------------------------------------- | ------ | ---------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | API Key given by Gsped |

{% tabs %}
{% tab title="200: OK Operation successfully performed" %}

```javascript
{
  "client_id": 390,
  "cod_destinatario": "",
  "colli": 1,
  "contrassegno": 0,
  "corriere": 1,
  "date_req_cons": "0000-00-00 00:00:00",
  "ddt_alpha": "ONLINES69512708",
  "ddt_num": 123,
  "merce": "Informatica",
  "note_sender": "",
  "origine": "",
  "peso": 1.5,
  "preavviso_telefonico": "",
  "rcpt_addr": "via gandhi",
  "rcpt_cap": 83020,
  "rcpt_city": "sperone",
  "rcpt_contact": "danilo",
  "rcpt_country_code": "IT",
  "rcpt_email": "test@il.it",
  "rcpt_name": "r-store",
  "rcpt_phone": 81,
  "rcpt_prov": "av",
  "servizio": 0,
  "tipo_incasso": 0,
  "valore": 0,
  "valore_doganale": 0,
  "volume": 0,
  "status": 0,
  "fid_partenza": 39,
  "num_serie": 0,
  "num_spedizione": "0",
  "date_upd": "0000-00-00 00:00:00",
  "error": "",
  "sender_name": "TEST mittente",
  "sender_addr": "Via Stilicone 20",
  "sender_cap": 20154,
  "sender_city": "Milano",
  "sender_contact": "TEST contatto",
  "sender_prov": "MI",
  "sender_country_code": "IT",
  "sender_email": "test@gsped.com",
  "label_jpg": [
    "/9j/4AAQSkZJRgA...AAAAAD/9k="
  ],
  "label_pdf": [
    "JVBERi0xLjQKJeL...Tk4CiGCg=="
  ],
  "label_zpl": [
    "^XA\r^LH20,20^P....^LH0,0^XZ"
  ],
  "id": 68409660,
  "daticolli": [
    {
      "peso": 1.5,
      "volume": 0,
      "larghezza": 0,
      "lunghezza": 0,
      "altezza": 0,
      "n_collo": 1,
      "barcode": ""
    }
  ],
  "tnt_options": [],
  "tracking_link": "https://vas.brt.it/vas/sped_ricDocMit_load.hsm?KSU=1234567&DocMit=000000000000123",
  "sender_phone": 131349123,
  "dropshipping": 0,
  "valuta": "",
  "al_piano": "",
  "al_sabato": "",
  "reso_contestuale": "",
  "fermo_deposito": 0,
  "note": "",
  "centro_costo": "",
  "sda_servizio": "",
  "date_req_ritiro": "2022-01-18 00:00:00",
  "opening_time": "09:00:00",
  "closing_time": "18:00:00",
  "barcode": "T68409660",
  "ups_uap_id": "",
  "sda_id_fermoposta": "",
  "flag_reso": 0,
  "note_2": "",
  "documenti": 0,
  "brt_num_segnacollo_da": 108,
  "brt_num_segnacollo_a": 108,
  "confermato": 0,
  "ups_signature_required": 0,
  "id_pickup": null,
  "data_consegna_prevista": "0000-00-00 00:00:00",
  "sda_accessori": 0,
  "codice_merce_fercam": "C",
  "milkman_tracking_code": 0,
  "opening_time2": null,
  "closing_time2": null,
  "chi_paga": 0,
  "dangerous_goods": "",
  "vat_seller": "",
  "vat_buyer": "",
  "generic_service_point": "",
  "user_id": 0,
  "sender_eori": "",
  "rcpt_eori": "",
  "link_pickup_booking": ""
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid input" %}

```javascript
{
    "error": "DDT_num spedizione non indicata(1)"
}
```

{% endtab %}

{% tab title="403: Forbidden Invalid Apikey" %}

```javascript
{
    "status": false,
    "error": "Invalid API key "
}
```

{% endtab %}

{% tab title="404: Not Found Shipment not found" %}

```javascript
{
    "error": "Spedizione non trovata (10)"
}
```

{% endtab %}
{% endtabs %}

### **Example Snippets**

{% tabs %}
{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.gsped.it/sandbox/ShipmentByDdtnum?ddt_num=123',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'x-api-key: YOUR-API-KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="PYTHON" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.gsped.it")
payload = ''
headers = {
  'x-api-key': 'YOUR-API-KEY'
}
conn.request("GET", "/sandbox/ShipmentByDdtnum?ddt_num=123", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="GO" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.gsped.it/sandbox/ShipmentByDdtnum?ddt_num=123"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-api-key", "YOUR-API-KEY")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}

{% tab title="C#" %}

```csharp
var client = new RestClient("https://api.gsped.it/sandbox/ShipmentByDdtnum?ddt_num=123");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "YOUR-API-KEY");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl --location --request GET 'https://api.gsped.it/sandbox/ShipmentByDdtnum?ddt_num=123' \
--header 'x-api-key: YOUR-API-KEY'
```

{% endtab %}
{% endtabs %}

## Shipment by DDT Num - DELETE

This endpoint deletes a shipment using the **numeric reference** used during the creation as search field.

{% hint style="info" %}
In order to use this endpoint the numeric reference must be unique
{% endhint %}

## Delete a shipment

<mark style="color:red;">`DELETE`</mark> `https://api.gsped.it/[INSTANCE]/ShipmentByDdtnum`

#### Query Parameters

| Name                                       | Type    | Description                       |
| ------------------------------------------ | ------- | --------------------------------- |
| ddt\_num<mark style="color:red;">\*</mark> | Integer | Numeric reference of the shipment |
| client\_id                                 | String  | Client ID                         |

#### Headers

| Name                                        | Type   | Description           |
| ------------------------------------------- | ------ | --------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Apikey given by Gsped |

{% tabs %}
{% tab title="200: OK Operation successfully performed" %}

```javascript
{
    "error": ""
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid input" %}

```javascript
{
    "error": "DDT_num spedizione non indicata (10)"
}
```

{% endtab %}

{% tab title="403: Forbidden Invalid Apikey" %}

```javascript
{
    "status": false,
    "error": "Invalid API key "
}
```

{% endtab %}

{% tab title="404: Not Found Shipment not found" %}

```javascript
{
    "error": "Spedizione non trovata (10)"
}
```

{% endtab %}
{% endtabs %}

### \*\*Example Snippets \*\*

{% tabs %}
{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.gsped.it/sandbox/ShipmentByDdtnum?ddt_num=124',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'DELETE',
  CURLOPT_HTTPHEADER => array(
    'x-api-key: YOUR-API-KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="PYTHON" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.gsped.it")
payload = ''
headers = {
  'x-api-key': 'YOUR-API-KEY'
}
conn.request("DELETE", "/sandbox/ShipmentByDdtnum?ddt_num=124", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="GO" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.gsped.it/sandbox/ShipmentByDdtnum?ddt_num=124"
  method := "DELETE"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-api-key", "YOUR-API-KEY")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}

{% tab title="C#" %}

```csharp
var client = new RestClient("https://api.gsped.it/sandbox/ShipmentByDdtnum?ddt_num=124");
client.Timeout = -1;
var request = new RestRequest(Method.DELETE);
request.AddHeader("x-api-key", "YOUR-API-KEY");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl --location --request DELETE 'https://api.gsped.it/sandbox/ShipmentByDdtnum?ddt_num=124' \
--header 'x-api-key: YOUR-API-KEY'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.gsped.com/gsped-api-english-version/spedizioni-e-dintorni/shipment-by-ddt-num.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
